import { ICellRendererParams } from "ag-grid-community";
import BaseRenderer from "./base-renderer";
export default class EnumerationRenderer extends BaseRenderer {
    init(params: ICellRendererParams): void;
    setupContentGui(): string;
    private getEnumerationType;
}
